#include <bits/stdc++.h>
using namespace std;
int p,q,r,br=0;
float pa,g,h,v;
long long L,R;
int main (){
scanf("%d", &p);
scanf("%d", &q);
scanf("%d", &r);
scanf("%d", &L);
scanf("%d", &R);
for (float  i=L;i<= (R+L)/2;i++){
    pa=ceil(i/p)*1.0;


    g=ceil(i/q)*1.0;


    h=ceil(i/r)*1.0;


    v=pa+g+h;



    if (i>=v){
        br++;
    }

}
for (float  i=(R+L)/2;i<=R;i++){
    pa=ceil(i/p)*1.0;


    g=ceil(i/q)*1.0;


    h=ceil(i/r)*1.0;


    v=pa+g+h;



    if (i>=v){
        br++;
    }

}
printf("%d ", br);



return 0;
}